Bug 152568 - mii-tool std output isn't flushed in watch mode
mii-tool std output isn't flushed in watch mode
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-03-30 09:06 EST by Christiaan Simons
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-05 05:36:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch adds a fflush(stdout) to mii-tool. (345 bytes, patch)
2005-03-30 09:10 EST, Christiaan Simons
no flags Details | Diff

  None (edit)
Description Christiaan Simons 2005-03-30 09:06:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
When using the mii-tool -w (watch) option the
output doesn't change until there is enough data
in the standard output buffer.

The expected bahaviour is immediate text ouput
so that reading from stdout gives the actual
network interface state. (More or less in real-time)

A simple fflush(stdout) should do the job.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. /sbin/mii-tool -w > this_stays_empty.txt

Actual Results:  the file this_stays_empty.txt is empty

Expected Results:  we expect at least the current interface status
immediatly after running the mii-tool.

Additional info:
Comment 1 Christiaan Simons 2005-03-30 09:10:52 EST
Created attachment 112453 [details]
Patch adds a fflush(stdout) to mii-tool.
Comment 2 Radek Vokal 2005-04-05 05:36:16 EDT
Thanks, the patch goes to devel branch - net-tools-1.60-51. 

Note You need to log in before you can comment on or make changes to this bug.